dpkg-statoverride(1)

BEZEICHNUNG
dpkg-statoverride - über Eigentümerschaft und Modus von Dateien hinwegsetzen

ÜBERSICHT
dpkg-statoverride [Option …] Befehl

BESCHREIBUNG
„Stat-Hinwegsetzungen“ sind eine Möglichkeit, dpkg(1) zu berichten, einen anderen Eigentümer oder Modus für eine Pfad zu verwenden, wenn ein Paket installiert wird (dies kann jedes Dateisystemobjekt sein, das dpkg handhabt, darunter Verzeichnisse, Geräte, usw.). Dies kann dazu verwendet werden, Programme, die normalerweise setuid sind, dazu zu zwingen, ohne setuid-Markierung zu installieren, oder nur von einer bestimmten Gruppe ausführbar zu sein.

dpkg-statoverride ist ein Hilfswerkzeug, um die Liste der Status-Hinwegsetzungen zu verwalten. Es hat drei grundlegende Funktionen: Hinzufügen, Entfernen und Auflisten von Hinwegsetzungen.

BEFEHLE

--add Benutzer Gruppe Modus Pfad
    Füge eine Hinwegsetzung für Pfad hinzu. Pfad muss noch nicht existieren wenn dieser Befehl verwendet wird; die Hinwegsetzung wird aufbewahrt und später verwendet. Benutzer und Gruppen können über ihren Namen (beispielsweise root oder nobody) spezifiziert werden, oder über ihre Nummer mit vorangestelltem ‚#’ (beispielsweise #0 oder #65534). Der Modus muss oktal angegeben werden. Falls --update angegeben ist und Pfad existiert, dann wird dieser sofort auf den neuen Eigentümer und Modus eingestellt.

--remove Pfad
    Entfernt eine Hinwegsetzung für Pfad, der Status von Pfad bleibt durch diesen Befehl unverändert.

--list [Glob-Muster]
    Liste alle Hinwegsetzungen auf. Falls ein Glob-Muster spezifiziert wurde, begrenze die Ausgabe auf Hinwegsetzungen, die auf den Glob passen.

--help
    Zeige den Bedienungshinweis und beende.

--force-help
    Gebe Hilfe über die --force-Sache-Optionen aus (seit Dpkg 1.19.5).

--version
    Gebe die Version aus und beende sich.

OPTIONEN

--admindir Verzeichnis
    Setzt das administrative Verzeichnis auf Verzeichnis. Hier wird auch die Datei statoverride gelagert. Standardmäßig „/var/lib/dpkg“.

--instdir Verzeichnis
    Setzt das Installationsverzeichnis, das sich auf das Verzeichnis bezieht, in dem Pakete installiert werden (seit Dpkg 1.19.2). Standardmäßig „/“.

--root Verzeichnis
    Setzt das Wurzelverzeichnis auf Verzeichnis, wodurch das Installationsverzeichnis auf „Verzeichnis“ und das administrative Verzeichnis auf „Verzeichnis/var/lib/dpkg“ gesetzt wird (seit Dpkg 1.19.2).

--force-Sachen
--no-force-Sachen, --refuse-Sachen
    Erzwinge oder verweigere (no-force und refuse bedeuten das gleiche) bestimmte Sachen (seit Dpkg 1.19.5). Sachen ist eine Komma-separierte Liste von Dingen, die im folgenden beschrieben sind. --force-help zeigt eine Nachricht an, die diese beschreibt. Mit (*) markierte Dinge werden standardmäßig erzwungen. Warnung. Diese Optionen sind hauptsächlich für den Einsatz durch Experten gedacht. Der Einsatz ohne komplettes Verständnis der Effekte kann Ihr gesamtes System zerstören. all: Schaltet alle »force«-Optionen ein (oder aus). statoverride-add: Überschreibt eine existierende Status-Hinwegsetzung beim Hinzufügen (seit Dpkg 1.19.5). statoverride-remove: Ignoriert eine fehlende Status-Hinwegsetzung beim Entfernen (seit Dpkg 1.19.5). security-mac(*): Verwendet plattformspezifische »Mandatory Access Control (MAC)«-basierende Sicherheit bei der Installation von Dateien in das Dateisystem (seit Dpkg 1.19.5). Auf Linux-Systemen verwendet die Implementierung SELinux.

--force
    Erzwinge eine Aktion, selbst wenn eine Sinn-Überprüfung diese normalerweise verböte. Dies ist notwendig, um sich über eine existierende Hinwegsetzung hinwegzusetzen. Diese Option ist (seit Dpkg 1.19.5) veraltet. Sie wurde durch --force-all ersetzt.

--update
    Versuche den Pfad sofort auf den neuen Eigentümer und neuen Modus zu ändern, falls er existiert.

--quiet
    Sei nicht so ausführlich darüber, was wir machen.

RÜCKGABEWERT

0   Die angeforderte Aktion wurde erfolgreich ausgeführt.

1   Für --list, falls es keine Hinwegsetzungen gab oder keine auf die angegebenen Metazeichen passte.

2   Fataler oder nicht behebbarer Fehler aufgrund ungültiger Befehlszeilenverwendung oder Interaktionen mit dem System, wie Zugriffe auf die Datenbank, Speicherzuweisungen usw.

UMGEBUNG

DPKG_ROOT
    Falls gesetzt und die Option --instdir oder --root nicht angegeben wurde, wird dies als Dateisystemwurzelverzeichnis verwandt.

DPKG_ADMINDIR
    Falls gesetzt und die Option --admindir oder --root nicht verwandt wurde, wird dies als Datenverzeichnis von dpkg verwandt.

DPKG_FORCE
    Falls gesetzt und keine der --force-…-Optionen festgelegt wurde, wird es als die zu verwendenen Erzwingungsoptionen verwandt (seit Dpkg 1.19.5).

DPKG_COLORS
    Setzt den Farbmodus (seit Dpkg 1.18.5). Die derzeit unterstützten Werte sind: auto (Vorgabe), always und never.

DATEIEN

/var/lib/dpkg/statoverride
    Datei, die die aktuelle Liste der Hinwegsetzungen auf dem System enthält. Sie befindet sich im pkg-Administrationsverzeichnis, zusammen mit anderen für dpkg wichtigen Dateien, wie status oder available.
    Hinweis: dpkg-statoverride erhält die alte Kopie dieser Datei mit der Endung „-old“ bevor es sie mit einer neuen ersetzt.

SIEHE AUCH
dpkg(1).

ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2019 von Helge Kreutzmann <debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und 2008 von Sven Joachim <svenjoac@gmx.de> angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE HAFTUNG.